/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         InvalidKQMLTokenException.java
**
** Description:  Contains constructors for InvalidKQMLTokenException objects.
**
*/
package kqml;

/**
 * A class to throw an exception when, during the parsing of an incoming
 * KQML message, the message has an invalid or malformed KQML token.
 *
 * @author Peter Stevens
 * @version $Revision: 1.3 $
 * @see KqmlException
 * @see Message
 */

public class InvalidKQMLTokenException extends KqmlException
{
    // Constructors
    public InvalidKQMLTokenException()         { super(); }
    public InvalidKQMLTokenException(String s) { super(s); };
}
