/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         TimedOutMessage.java
**
** Description:  Contains the TimedOutMessage class.  It has the following
**
**
*/

package kqml;
import java.util.Date;

/**
 * A class that defines a Message that has timed out (an outgoing message
 * that was expecting a reply, but the reply did not arrive before the
 * time-out time).  This is used in the Pending Messages table in a KqmlAgent
 * to indicate the above situation.  We don't want to simply remove this
 * Message from the Pending Messages table because then it would be identified
 * as a new, unsolicited, message arriving.
 *
 * @author Robin McEntire
 * @version $Revision: 1.1 $
 * @see Message
 */


public class TimedOutMessage
{
  private Date  timedOutDate = null;

  // Constructor
  public TimedOutMessage ()
  {
    timedOutDate = new Date();
  }
  
  // Accessors
  public Date getTimedOutDateTime()
  {
    return (timedOutDate);
  }
}
