package oplan.util.lisp;

import java.util.*;
import oplan.util.*;


/** The class of Lisp.NIL, and of nothing else. */

public final class Null extends List {

    Null() {				// package visibility
	Debug.assert(Lisp.NIL == null);	// only one can be made
    }

    private static NullEnumeration enumeration = new NullEnumeration();

    public boolean isNull() { return true; }

    public Object car() { return Lisp.NIL; }
    public List cdr() { return Lisp.NIL; }

    public int length() { return 0; }

    public Object elementAt(int i) { return Lisp.NIL; }

    public Enumeration elements() { return enumeration; }

    public boolean equal(List l) { return l == Lisp.NIL; }
    public boolean find(Object a) { return false; }

    public List append(List tail) { return tail; }

    public String toString() { return "()"; }

}


/** Null enumerations. */

final class NullEnumeration extends ListEnumeration implements Enumeration {

    public boolean hasMoreElements() { return false; }

    public Object nextElement() { return Lisp.NIL; } // return null?

}
